import request from '@/utils/request'

// 查询记录列表
export function listDocRecord(query) {
  return request({
    url: '/doc/docRecord/list',
    method: 'get',
    params: query
  })
}

// 查询记录详细
export function getDocRecord(recordId) {
  return request({
    url: '/doc/docRecord/' + recordId,
    method: 'get'
  })
}

// 新增记录
export function addDocRecord(data) {
  return request({
    url: '/doc/docRecord',
    method: 'post',
    data: data
  })
}

// 修改记录
export function updateDocRecord(data) {
  return request({
    url: '/doc/docRecord',
    method: 'put',
    data: data
  })
}

// 删除记录
export function delDocRecord(recordId) {
  return request({
    url: '/doc/docRecord/' + recordId,
    method: 'delete'
  })
}

// 导出记录
export function exportDocRecord(query) {
  return request({
    url: '/doc/docRecord/export',
    method: 'get',
    params: query
  })
}